clang 10.0.0git

Public Member Functions | List of all members
clang::driver::tools::gcc::Preprocessor Class Reference

`#include "/work/www-prereleases/10.0.0/rc1/docsbuild/clang/lib/Driver/ToolChains/Gnu.h"`

Inheritance diagram for clang::driver::tools::gcc::Preprocessor:
[legend]
Collaboration diagram for clang::driver::tools::gcc::Preprocessor:
[legend]

## Public Member Functions
| Preprocessor (const ToolChain &TC)
bool | hasGoodDiagnostics () const override
| Does this tool have "good" standardized diagnostics, or should the driver add an additional "command failed" diagnostic on failures. More...
bool | hasIntegratedCPP () const override
void | RenderExtraToolArgs (const JobAction &JA, llvm::opt::ArgStringList &CmdArgs) const override
| RenderExtraToolArgs - Render any arguments necessary to force the particular tool mode. More...
Public Member Functions inherited from clang::driver::tools::gcc::Common
| Common (const char *Name, const char *ShortName, const ToolChain &TC)
bool | hasIntegratedAssembler () const override
void | ConstructJob (Compilation &C, const JobAction &JA, const InputInfo &Output, const InputInfoList &Inputs, const llvm::opt::ArgList &TCArgs, const char *LinkingOutput) const override
| ConstructJob - Construct jobs to perform the action `JA`, writing to `Output` and with `Inputs`, and add the jobs to `C`. More...
Public Member Functions inherited from clang::driver::tools::GnuTool
| GnuTool (const char *Name, const char *ShortName, const ToolChain &TC)
Public Member Functions inherited from clang::driver::Tool
| Tool (const char *Name, const char *ShortName, const ToolChain &TC, ResponseFileSupport ResponseSupport=RF_None, llvm::sys::WindowsEncodingMethod ResponseEncoding=llvm::sys::WEM_UTF8, const char *ResponseFlag="@")
virtual | ~Tool ()
const char * | getName () const
const char * | getShortName () const
const ToolChain & | getToolChain () const
virtual bool | canEmitIR () const
virtual bool | isLinkJob () const
virtual bool | isDsymutilJob () const
ResponseFileSupport | getResponseFilesSupport () const
| Returns the level of support for response files of this tool, whether it accepts arguments to be passed via a file on disk. More...
llvm::sys::WindowsEncodingMethod | getResponseFileEncoding () const
| Returns which encoding the response file should use. More...
const char * | getResponseFileFlag () const
| Returns which prefix to use when passing the name of a response file as a parameter to this tool. More...
virtual void | ConstructJobMultipleOutputs (Compilation &C, const JobAction &JA, const InputInfoList &Outputs, const InputInfoList &Inputs, const llvm::opt::ArgList &TCArgs, const char *LinkingOutput) const
| Construct jobs to perform the action `JA`, writing to the `Outputs` and with `Inputs`, and add the jobs to `C`. More...

## Additional Inherited Members
Public Types inherited from clang::driver::Tool
enum | ResponseFileSupport { RF_Full, RF_FileList, RF_None }

## Detailed Description

Definition at line 98 of file Gnu.h.

## Constructor & Destructor Documentation

## ◆ Preprocessor()

clang::driver::tools::gcc::Preprocessor::Preprocessor | ( | const ToolChain & | TC | ) |
| inline

Definition at line 100 of file Gnu.h.

## Member Function Documentation

## ◆ hasGoodDiagnostics()

bool clang::driver::tools::gcc::Preprocessor::hasGoodDiagnostics | ( |  | ) | const
| inline override virtual

Does this tool have "good" standardized diagnostics, or should the driver add an additional "command failed" diagnostic on failures.

Reimplemented from clang::driver::Tool.

Definition at line 103 of file Gnu.h.

## ◆ hasIntegratedCPP()

bool clang::driver::tools::gcc::Preprocessor::hasIntegratedCPP | ( |  | ) | const
| inline override virtual

Implements clang::driver::Tool.

Definition at line 104 of file Gnu.h.

## ◆ RenderExtraToolArgs()

void tools::gcc::Preprocessor::RenderExtraToolArgs | ( | const JobAction & | JA,
|  | llvm::opt::ArgStringList & | CmdArgs
| ) |  | const
| override virtual

RenderExtraToolArgs - Render any arguments necessary to force the particular tool mode.

Implements clang::driver::tools::gcc::Common.

Definition at line 195 of file Gnu.cpp.

The documentation for this class was generated from the following files:

- lib/Driver/ToolChains/Gnu.h
- lib/Driver/ToolChains/Gnu.cpp